Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Wait_Strategy Class Reference

Strategy for waiting for the reply. More...

`#include <Wait_Strategy.h>`

Inheritance diagram for TAO_Wait_Strategy:

[legend]
Collaboration diagram for TAO_Wait_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Wait_Strategy (TAO_Transport *transport)
| Constructor. More...
virtual | ~TAO_Wait_Strategy (void)
| Destructor. More...
virtual int | sending_request (TAO_ORB_Core *orb_core, int two_way)
| The user is going to send a request, prepare any internal variables because the reply may arrive *before* the user calls wait. More...
virtual int | wait (ACE_Time_Value *max_wait_time, TAO_Synch_Reply_Dispatcher &rd)=0
| Base class virtual method. Wait till the <reply_received> flag is true or the time expires. More...
virtual int | register_handler (void)=0
| Register the handler needs with the reactor provided that it makes sense for the strategy. More...
virtual int | non_blocking (void)=0
| Returns a value to indicate whether the transport needs to set the socket on which it is waiting to non-blocking mode or not. More...
int | is_registered (void)
| Get/Set method for the flag. More...
void | is_registered (int flag)
## Protected Attributes
TAO_Transport * | transport_
| Transport object. More...
int | is_registered_
| Flag to indicate whether the service handler that created the above transport has been registered with the reactor or not. The default is 0. More...

## Detailed Description

Strategy for waiting for the reply.

## Constructor & Destructor Documentation

TAO_Wait_Strategy::TAO_Wait_Strategy | ( | TAO_Transport * | transport | ) |

| Constructor.

TAO_Wait_Strategy::~TAO_Wait_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_INLINE void TAO_Wait_Strategy::is_registered | ( | int | flag | ) |

ACE_INLINE int TAO_Wait_Strategy::is_registered | ( | void |  | ) |

| Get/Set method for the flag.

virtual int TAO_Wait_Strategy::non_blocking | ( | void |  | ) | `[pure virtual]`

| Returns a value to indicate whether the transport needs to set the socket on which it is waiting to non-blocking mode or not. Reimplemented in TAO_Wait_On_Leader_Follower, TAO_Wait_On_Reactor, and TAO_Wait_On_Read.

virtual int TAO_Wait_Strategy::register_handler | ( | void |  | ) | `[pure virtual]`

| Register the handler needs with the reactor provided that it makes sense for the strategy. Reimplemented in TAO_Wait_On_Leader_Follower, TAO_Wait_On_Reactor, and TAO_Wait_On_Read.

int TAO_Wait_Strategy::sending_request | ( | TAO_ORB_Core * | orb_core,
|  | int | two_way
| ) | `[virtual]`

| The user is going to send a request, prepare any internal variables because the reply may arrive *before* the user calls wait. Reimplemented in TAO_Wait_On_Leader_Follower.

virtual int TAO_Wait_Strategy::wait | ( | ACE_Time_Value * | max_wait_time,
|  | TAO_Synch_Reply_Dispatcher & | rd
| ) | `[pure virtual]`

| Base class virtual method. Wait till the <reply_received> flag is true or the time expires. Reimplemented in TAO_Wait_On_Leader_Follower, TAO_Wait_On_Reactor, and TAO_Wait_On_Read.

## Member Data Documentation

int TAO_Wait_Strategy::is_registered_`[protected]`

| Flag to indicate whether the service handler that created the above transport has been registered with the reactor or not. The default is 0.

TAO_Transport* TAO_Wait_Strategy::transport_`[protected]`

| Transport object.

The documentation for this class was generated from the following files:

- Wait_Strategy.h
- Wait_Strategy.cpp
- Wait_Strategy.inl